#install timer
scoreboard players add @e[name=Global] endgame 1

#recalculate total scapers
execute if entity @e[name=Global,scores={endgame=1}] run scoreboard players set @e[name=Global] totalScapers 0
execute if entity @e[name=Global,scores={endgame=1}] as @a[tag=dead_scaper] run scoreboard players add @e[name=Global] totalScapers 1

#calculate score
execute if entity @e[name=Global,scores={endgame=1}] run tp @a[team=spectator] -217 32 574
execute if entity @e[name=Global,scores={endgame=1},tag=classic] as @e[tag=alive] run team join scapers @s
execute if entity @e[name=Global,scores={endgame=1},tag=classic] run scoreboard players operation @e[name=Global] score = @e[name=Global] timer
#execute if entity @e[name=Global,scores={endgame=1},tag=classic] run scoreboard players operation @e[name=Global] score *= @e[name=Global] global_100
execute if entity @e[name=Global,scores={endgame=1},tag=classic] run scoreboard players operation @e[name=Global] score /= @e[name=Global] totalScapers
execute if entity @e[name=Global,scores={endgame=1},tag=classic] run scoreboard players operation @e[name=Global] startScapers -= @e[name=Global] totalScapers

execute if entity @e[name=Global,scores={endgame=1},tag=target] as @a[team=seeker] run scoreboard players operation @s score = @s targets
execute if entity @e[name=Global,scores={endgame=1},tag=target] run function skyscapers:gamemodes/targets/score

execute if entity @e[name=Global,scores={endgame=1},tag=snipers] run clear @a[team=scapers]
execute if entity @e[name=Global,scores={endgame=1},tag=snipers] run effect give @a[team=scapers] levitation 100000 255 true
execute if entity @e[name=Global,scores={endgame=1},tag=snipers] run effect give @a[team=scapers] instant_health 1 255 true
execute if entity @e[name=Global,scores={endgame=1},tag=snipers] run effect clear @a[team=scapers] wither
execute if entity @e[name=Global,scores={endgame=1},tag=snipers] run effect clear @a[team=scapers] resistance

#kill powerups
execute if entity @e[name=Global,scores={endgame=1}] if entity @e[tag=powerup_stand] run kill @e[tag=powerup_stand]
#execute if entity @e[name=Global,scores={endgame=1}] if entity @e[tag=powerup_display] run kill @e[tag=powerup_display]

#remove powerups
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=grab_powerup] as @a[tag=grab_powerup] run tag @s remove grab_powerup
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[team=scapers,tag=has_powerup] as @a[team=scapers,tag=has_powerup] run tag @s remove has_powerup
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[scores={powerup_time=0..}] as @a[scores={powerup_time=0..}] run scoreboard players reset @s powerup_time
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[scores={powerup_time2=0..}] as @a[scores={powerup_time2=0..}] run scoreboard players reset @s powerup_time2
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[scores={powerup_count=0..}] as @a[scores={powerup_count=0..}] run scoreboard players reset @s powerup_count
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=applied_powerup] as @a[tag=applied_powerup] run tag @s remove applied_powerup
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=end_powerup] as @a[tag=end_powerup] run tag @s remove end_powerup
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=has_powerup] as @a[tag=has_powerup] run tag @s remove has_powerup
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=blindness] run effect clear @a blindness
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=blindness] as @a[tag=blindness] run tag @s remove blindness
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=boost] as @a[tag=boost] run tag @s remove boost
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=destroy_wand] as @a[tag=destroy_wand] run tag @s remove destroy_wand
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=destroy_powerup] as @a[tag=destroy_powerup] run tag @s remove destroy_powerup
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=absorption] run effect clear @a absorption
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=absorption] as @a[tag=absorption] run tag @s remove absorption
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=invulnerability] as @a[tag=invulnerability] run tag @s remove invulnerability
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=launch_pad] as @a[tag=launch_pad] run tag @s remove launch_pad
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=nausea] run effect clear @a nausea
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=nausea] as @a[tag=nausea] run tag @s remove nausea
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=regeneration] run effect clear @a regeneration
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=regeneration] as @a[tag=regeneration] run tag @s remove regeneration
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=twister] as @a[tag=twister] run tag @s remove twister
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=twister_seeker] as @a[tag=twister_seeker] run tag @s remove twister_seeker
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=blinded] run tag @a[tag=blinded] remove blinded
execute if entity @e[name=Global,scores={endgame=1}] if entity @a[tag=nauseated] run tag @a[tag=nauseated] remove nauseated
execute if entity @e[name=Global,scores={endgame=1}] if entity @s[tag=one_shot] run tag @a[tag=one_shot] remove one_shot
execute if entity @e[name=Global,scores={endgame=1}] if entity @s[tag=no_cooldown] run tag @a[tag=no_cooldown] remove no_cooldown

#end sequence
execute if entity @e[name=Global,scores={endgame=1}] run scoreboard players reset @a fireworkTime
execute if entity @e[name=Global,scores={endgame=1}] run data merge entity @e[tag=center,limit=1] {CustomNameVisible:0b}
execute if entity @e[name=Global,scores={endgame=1}] as @e[tag=objective] run data merge entity @s {CustomNameVisible:0b}
execute if entity @e[name=Global,scores={endgame=1}] run scoreboard players reset @a immunity
execute if entity @e[name=Global,scores={endgame=1}] run scoreboard players reset @a messageTime
execute if entity @e[name=Global,scores={endgame=1}] run scoreboard players set @a fly 0
execute if entity @e[name=Global,scores={endgame=1}] run scoreboard players reset @a lives
execute if entity @e[name=Global,scores={endgame=1},tag=target] run kill @e[tag=target_slime] 
execute if entity @e[name=Global,scores={endgame=21}] run clear @a
execute if entity @e[name=Global,scores={endgame=21}] as @a[team=seeker] at @s run particle minecraft:falling_dust minecraft:redstone_block ~ ~2 ~ 0.3 0.3 0.3 1 100 normal @a
execute if entity @e[name=Global,scores={endgame=21}] as @a at @s run playsound minecraft:entity.player.levelup master @s ~ ~ ~ 1 0
execute if entity @e[name=Global,scores={endgame=21}] as @a run title @a times 0 20 40
execute if entity @e[name=Global,scores={endgame=21}] as @a run title @s title ["",{"text":"\u2714","bold":true,"color":"green"},{"text":" Game over!","bold":true,"color":"dark_green"}]
execute if entity @e[name=Global,scores={endgame=21}] as @a run title @s subtitle {"text":" "}
execute if entity @e[name=Global,scores={endgame=41}] as @a run title @s title ["",{"text":"\u2714","bold":true,"color":"green"},{"text":" Game over!","bold":true,"color":"green"}]
execute if entity @e[name=Global,scores={endgame=61}] as @a run title @s title ["",{"text":"\u2714","bold":true,"color":"green"},{"text":" Game over!","bold":true,"color":"dark_green"}]
execute if entity @e[name=Global,scores={endgame=81}] as @a run title @s title ["",{"text":"\u2714","bold":true,"color":"green"},{"text":" Game over!","bold":true,"color":"green"}]
execute if entity @e[name=Global,scores={endgame=101}] as @a run title @s title ["",{"text":"\u2714","bold":true,"color":"green"},{"text":" Game over!","bold":true,"color":"dark_green"}]
execute if entity @e[name=Global,scores={endgame=21}] run effect clear @a night_vision
execute if entity @e[name=Global,scores={endgame=21}] run effect give @a blindness 100000 255 true
execute if entity @e[name=Global,scores={endgame=121}] run tag @e[name=Global] add textTimer
execute if entity @e[name=Global,tag=textTimer,tag=classic] run function skyscapers:please_wait_sequence
execute if entity @e[name=Global,tag=textTimer,tag=target,tag=!tie,scores={totalSeekers=1}] run function skyscapers:please_wait_sequence
execute if entity @e[name=Global,tag=textTimer,tag=snipers] run function skyscapers:please_wait_sequence

execute if entity @e[name=Global,scores={endgame=280},tag=classic] run title @a times 0 100 40
execute if entity @e[name=Global,scores={endgame=280},tag=classic] run title @a title {"text":"Score","underlined":true,"color":"dark_gray"}
execute if entity @e[name=Global,scores={endgame=280},tag=classic] as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 1 0
execute if entity @e[name=Global,scores={endgame=300},tag=classic] unless entity @e[name=Global,scores={startScapers=0}] run title @a subtitle {"text":"N/A","underlined":false,"color":"gold","bold":true}
execute if entity @e[name=Global,scores={endgame=300},tag=classic] if entity @e[name=Global,scores={startScapers=0}] run title @a subtitle {"score":{"name":"@e[name=Global]","objective":"score"},"bold":true,"color":"gold"}
execute if entity @e[name=Global,scores={endgame=300},tag=classic] as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 1 1

execute if entity @e[name=Global,scores={endgame=121},tag=target,tag=tie] as @a at @s run playsound minecraft:block.anvil.land master @s ~ ~ ~ 1 0 
execute if entity @e[name=Global,scores={endgame=120},tag=target] as @a at @s run title @s times 0 100 40
execute if entity @e[name=Global,scores={endgame=121},tag=target,tag=tie] as @a at @s run title @s title ["",{"text":"[ ! ]:","bold":true,"color":"dark_red"},{"text":" Tie detected!","bold":true,"color":"dark_gray"}]
execute if entity @e[name=Global,scores={endgame=121},tag=target,tag=tie] as @a at @s run title @s subtitle {"text":"Assigning random winner...","color":"gray"}
execute if entity @e[name=Global,scores={endgame=240,totalSeekers=2..},tag=target,tag=tie] run title @a title {"text":"Winner","underlined":true,"color":"gold"}
execute if entity @e[name=Global,scores={endgame=240,totalSeekers=2..},tag=target,tag=tie] as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 1 0
execute if entity @e[name=Global,scores={endgame=260,totalSeekers=2..},tag=target,tag=tie] run title @a subtitle {"selector":"@a[tag=win]","color":"red"}
execute if entity @e[name=Global,scores={endgame=260,totalSeekers=2..},tag=target,tag=tie] as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 1 1
execute if entity @e[name=Global,scores={endgame=340,totalSeekers=2..},tag=target,tag=tie] run title @a title {"text":"Score","underlined":true,"color":"dark_gray"}
execute if entity @e[name=Global,scores={endgame=340,totalSeekers=2..},tag=target,tag=tie] as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 1 0
execute if entity @e[name=Global,scores={endgame=360,totalSeekers=2..},tag=target,tag=tie] run title @a subtitle {"score":{"name":"@a[tag=win,limit=1]","objective":"targets"},"bold":true,"color":"gold"}
execute if entity @e[name=Global,scores={endgame=360,totalSeekers=2..},tag=target,tag=tie] as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 1 1
execute if entity @e[name=Global,scores={endgame=180,totalSeekers=2..},tag=target,tag=!tie] run title @a title {"text":"Winner","underlined":true,"color":"gold"}
execute if entity @e[name=Global,scores={endgame=180,totalSeekers=2..},tag=target,tag=!tie] as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 1 0
execute if entity @e[name=Global,scores={endgame=200,totalSeekers=2..},tag=target,tag=!tie] run title @a subtitle {"selector":"@a[tag=win]","color":"red"}
execute if entity @e[name=Global,scores={endgame=200,totalSeekers=2..},tag=target,tag=!tie] as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 1 1
execute if entity @e[name=Global,scores={endgame=280,totalSeekers=2..},tag=target,tag=!tie] run title @a title {"text":"Score","underlined":true,"color":"dark_gray"}
execute if entity @e[name=Global,scores={endgame=280,totalSeekers=2..},tag=target,tag=!tie] as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 1 0
execute if entity @e[name=Global,scores={endgame=300,totalSeekers=2..},tag=target,tag=!tie] run title @a subtitle {"score":{"name":"@a[tag=win,limit=1]","objective":"targets"},"bold":true,"color":"gold"}
execute if entity @e[name=Global,scores={endgame=300,totalSeekers=2..},tag=target,tag=!tie] as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 1 1
execute if entity @e[name=Global,scores={endgame=280,totalSeekers=1},tag=target,tag=!tie] run title @a title {"text":"Score","underlined":true,"color":"dark_gray"}
execute if entity @e[name=Global,scores={endgame=280,totalSeekers=1},tag=target,tag=!tie] as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 1 0
execute if entity @e[name=Global,scores={endgame=300,totalSeekers=1},tag=target,tag=!tie] run title @a subtitle {"score":{"name":"@a[tag=win,limit=1]","objective":"targets"},"bold":true,"color":"gold"}
execute if entity @e[name=Global,scores={endgame=300,totalSeekers=1},tag=target,tag=!tie] as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 1 1

execute if entity @e[name=Global,scores={endgame=280},tag=snipers] run title @a title {"text":"Winner","underlined":true,"color":"gold"}
execute if entity @e[name=Global,scores={endgame=280},tag=snipers] as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 1 0
execute if entity @e[name=Global,scores={endgame=300},tag=snipers] if entity @a[team=scapers] run title @a subtitle {"selector":"@a[team=scapers,limit=1]"}
execute if entity @e[name=Global,scores={endgame=300},tag=snipers] unless entity @a[team=scapers] run title @a subtitle {"text":"N/A","underlined":false,"color":"gold","bold":true}
execute if entity @e[name=Global,scores={endgame=300},tag=snipers] as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 1 1
execute if entity @e[name=Global,scores={endgame=340},tag=snipers] run effect clear @a[team=scapers] levitation

#checkscore
execute if entity @e[name=Global,scores={endgame=300},tag=classic] run scoreboard players operation @e[name=Global] checkscore = @e[name=Global] score
execute if entity @e[name=Global,scores={endgame=300},tag=classic] run scoreboard players operation @e[name=Global] checkscore -= @e[name=Global] highScoreC
execute if entity @e[name=Global,scores={endgame=300,checkscore=..-1},tag=classic] run scoreboard players operation @e[name=Global] highScoreC = @e[name=Global] score

execute if entity @e[name=Global,scores={endgame=300},tag=target,tag=!tie] run scoreboard players operation @e[name=Global] checkscore = @a[tag=win] targets
execute if entity @e[name=Global,scores={endgame=300},tag=target,tag=!tie] run scoreboard players operation @e[name=Global] checkscore -= @e[name=Global] highScoreT
execute if entity @e[name=Global,scores={endgame=300,checkscore=1..},tag=target,tag=!tie] run scoreboard players operation @e[name=Global] highScoreT = @a[tag=win] targets
execute if entity @e[name=Global,scores={endgame=360},tag=target,tag=tie] run scoreboard players operation @e[name=Global] checkscore = @a[tag=win] targets
execute if entity @e[name=Global,scores={endgame=360},tag=target,tag=tie] run scoreboard players operation @e[name=Global] checkscore -= @e[name=Global] highScoreT
execute if entity @e[name=Global,scores={endgame=360,checkscore=1..},tag=target,tag=tie] run scoreboard players operation @e[name=Global] highScoreT = @a[tag=win] targets

#sequence (if high score)
execute if entity @e[name=Global,scores={endgame=320,checkscore=..-1},tag=classic] as @a at @s run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 2
execute if entity @e[name=Global,scores={endgame=320,checkscore=..-1},tag=classic] run title @a actionbar ["",{"text":"[ ! ]:","bold":true,"color":"dark_red"},{"text":" New high score!","color":"gold"}]
execute if entity @e[name=Global,scores={endgame=330,checkscore=..-1},tag=classic] run title @a actionbar ["",{"text":"[ ! ]:","bold":true,"color":"dark_red"},{"text":" New high score!","color":"yellow"}]
execute if entity @e[name=Global,scores={endgame=340,checkscore=..-1},tag=classic] run title @a actionbar ["",{"text":"[ ! ]:","bold":true,"color":"dark_red"},{"text":" New high score!","color":"gold"}]
execute if entity @e[name=Global,scores={endgame=350,checkscore=..-1},tag=classic] run title @a actionbar ["",{"text":"[ ! ]:","bold":true,"color":"dark_red"},{"text":" New high score!","color":"yellow"}]
execute if entity @e[name=Global,scores={endgame=360,checkscore=..-1},tag=classic] run title @a actionbar ["",{"text":"[ ! ]:","bold":true,"color":"dark_red"},{"text":" New high score!","color":"gold"}]
execute if entity @e[name=Global,scores={endgame=360,checkscore=..-1},tag=classic] run team modify seeker prefix {"text":"","color":"aqua"}
execute if entity @e[name=Global,scores={endgame=360,checkscore=..-1},tag=classic] run setblock -243 88 610 minecraft:spruce_wall_sign[facing=north]
execute if entity @e[name=Global,scores={endgame=360,checkscore=..-1},tag=classic] run data merge block -243 88 610 {Text1:'{"text":"","clickEvent":{"action":"run_command","value":"function skyscapers:lobby/leaderboards/c"}}',Text2:'{"text":"Classic Mode","bold":false,"color":"dark_green"}',Text3:'{"score":{"name":"@e[name=Global]","objective":"highScoreC"},"bold":true,"color":"gold"}',Text4:'{"selector":"@a[team=seeker,limit=1]","color":"yellow"}'}
execute if entity @e[name=Global,scores={endgame=360,checkscore=..-1},tag=classic] run team modify seeker prefix {"text":"\u25cf ","color":"dark_red"}

execute if entity @e[name=Global,scores={endgame=320,checkscore=1..},tag=target,tag=!tie] as @a at @s run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 2
execute if entity @e[name=Global,scores={endgame=320,checkscore=1..},tag=target,tag=!tie] run title @a actionbar ["",{"text":"[ ! ]:","bold":true,"color":"dark_red"},{"text":" New high score!","color":"gold"}]
execute if entity @e[name=Global,scores={endgame=330,checkscore=1..},tag=target,tag=!tie] run title @a actionbar ["",{"text":"[ ! ]:","bold":true,"color":"dark_red"},{"text":" New high score!","color":"yellow"}]
execute if entity @e[name=Global,scores={endgame=340,checkscore=1..},tag=target,tag=!tie] run title @a actionbar ["",{"text":"[ ! ]:","bold":true,"color":"dark_red"},{"text":" New high score!","color":"gold"}]
execute if entity @e[name=Global,scores={endgame=350,checkscore=1..},tag=target,tag=!tie] run title @a actionbar ["",{"text":"[ ! ]:","bold":true,"color":"dark_red"},{"text":" New high score!","color":"yellow"}]
execute if entity @e[name=Global,scores={endgame=360,checkscore=1..},tag=target,tag=!tie] run title @a actionbar ["",{"text":"[ ! ]:","bold":true,"color":"dark_red"},{"text":" New high score!","color":"gold"}]

execute if entity @e[name=Global,scores={endgame=320,checkscore=1..},tag=target,tag=tie] as @a at @s run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 2
execute if entity @e[name=Global,scores={endgame=320,checkscore=1..},tag=target,tag=tie] run title @a actionbar ["",{"text":"[ ! ]:","bold":true,"color":"dark_red"},{"text":" New high score!","color":"gold"}]
execute if entity @e[name=Global,scores={endgame=330,checkscore=1..},tag=target,tag=tie] run title @a actionbar ["",{"text":"[ ! ]:","bold":true,"color":"dark_red"},{"text":" New high score!","color":"yellow"}]
execute if entity @e[name=Global,scores={endgame=340,checkscore=1..},tag=target,tag=tie] run title @a actionbar ["",{"text":"[ ! ]:","bold":true,"color":"dark_red"},{"text":" New high score!","color":"gold"}]
execute if entity @e[name=Global,scores={endgame=350,checkscore=1..},tag=target,tag=tie] run title @a actionbar ["",{"text":"[ ! ]:","bold":true,"color":"dark_red"},{"text":" New high score!","color":"yellow"}]
execute if entity @e[name=Global,scores={endgame=360,checkscore=1..},tag=target,tag=tie] run title @a actionbar ["",{"text":"[ ! ]:","bold":true,"color":"dark_red"},{"text":" New high score!","color":"gold"}]
execute if entity @e[name=Global,scores={endgame=360,checkscore=1..},tag=target] run team modify seeker prefix {"text":"","color":"dark_red"}
execute if entity @e[name=Global,scores={endgame=360,checkscore=1..},tag=target] run setblock -244 88 610 minecraft:spruce_wall_sign[facing=north]
execute if entity @e[name=Global,scores={endgame=360,checkscore=1..},tag=target] run data merge block -244 88 610 {Text1:'{"text":"","clickEvent":{"action":"run_command","value":"function skyscapers:lobby/leaderboards/t"}}',Text2:'{"text":"Target Shootout","bold":false,"color":"dark_red"}',Text3:'{"score":{"name":"@e[name=Global]","objective":"highScoreT"},"bold":true,"color":"gold"}',Text4:'{"selector":"@a[tag=win,limit=1]","color":"yellow"}'}
execute if entity @e[name=Global,scores={endgame=360,checkscore=1..},tag=target] run team modify seeker prefix {"text":"\u25cf ","color":"dark_red"}

#boundaries
execute as @e[type=armor_stand,tag=center] at @s as @a[team=spectator,distance=106..] run tp @s -217 32 574
execute as @a[team=spectator,x=-354,y=3,z=445,dx=300,dy=1,dz=300] run tp @s -217 32 574
execute as @e[type=armor_stand,tag=center] at @s as @a[team=scapers,distance=106..] run tp @s -217 32 574
execute as @a[team=scapers,x=-354,y=3,z=445,dx=300,dy=1,dz=300] run tp @s -217 32 574
execute as @a[team=seeker,x=-235,y=18,z=557,dx=30,dy=6,dz=30] run tp @s -217 32 574

#closure
execute if entity @e[name=Global,scores={endgame=400},tag=classic] run function skyscapers:gamemodes/reset
execute if entity @e[name=Global,scores={endgame=400},tag=target,tag=!tie] run function skyscapers:gamemodes/reset
execute if entity @e[name=Global,scores={endgame=460},tag=target,tag=tie] run function skyscapers:gamemodes/reset
execute if entity @e[name=Global,scores={endgame=340},tag=snipers] run function skyscapers:gamemodes/reset