tag @a[team=scapers,tag=!immunity,tag=immune] add immunity
scoreboard players set @a[tag=immune,tag=immunity] immunity 119
tag @a[tag=immunity] remove immune
scoreboard players add @a[team=scapers] messageTime 1
scoreboard players set @a[team=scapers,scores={messageTime=41}] messageTime 1
scoreboard players add @e[name=Global] messageTime 1
scoreboard players set @e[name=Global,scores={messageTime=41}] messageTime 1

#countdown for immunity
scoreboard players remove @a[tag=immunity] immunity 1
execute as @a[tag=immunity] run scoreboard players operation @s immunitySeconds = @s immunity
execute as @a[tag=immunity] run scoreboard players operation @s immunitySeconds /= @e[name=Global] global_20
execute as @a[tag=immunity,scores={immunity=41..119}] run title @s actionbar ["",{"text":"[Immunity]: ","color":"gold","bold":true},{"text":"Begin flying within ","color":"gold","bold":false},{"score":{"name":"@s","objective":"immunitySeconds"}},{"text":" seconds!","color":"gold"}]
execute as @a[tag=immunity,scores={immunity=20..40}] run title @s actionbar ["",{"text":"[Immunity]: ","color":"gold","bold":true},{"text":"Begin flying within ","color":"gold","bold":false},{"score":{"name":"@s","objective":"immunitySeconds"}},{"text":" second!","color":"gold"}]
execute as @a[tag=immunity,scores={immunity=..20}] run title @s actionbar ["",{"text":"[Immunity]: ","color":"gold","bold":true},{"text":"Begin flying within ","color":"gold","bold":false},{"score":{"name":"@s","objective":"immunitySeconds"}},{"text":" seconds!","color":"gold"}]

#objective message
execute as @e[tag=objective] at @s if entity @a[team=!spectator,distance=..10,sort=nearest,limit=1,scores={messageTime=..20}] run data merge entity @s {CustomNameVisible:1b,CustomName:'[{"text":"[Objective]","color":"dark_red","bold":true},{"text":" Stay alive!","color":"dark_red","bold":false}]'}
execute as @e[tag=objective] at @s if entity @a[team=!spectator,distance=..10,sort=nearest,limit=1,scores={messageTime=21..}] run data merge entity @s {CustomNameVisible:1b,CustomName:'[{"text":"[Objective]","color":"dark_red","bold":true},{"text":" Stay alive!","color":"red","bold":false}]'}
execute as @e[tag=objective] at @s unless entity @a[team=!spectator,distance=..10,sort=nearest,limit=1] run data merge entity @s {CustomNameVisible:0b}

#either clear or apply wither as immunity fades
execute as @a[tag=immunity,scores={immunity=0}] run tag @s add poison
execute as @a[tag=immunity,tag=poison] run tag @s remove immunity
execute as @a[tag=poison] run scoreboard players reset @s immunity
execute as @a[tag=poison] run scoreboard players reset @s immunitySeconds

execute as @a[tag=poison] unless entity @s[scores={fly=1..}] run effect give @s minecraft:wither 100000 2 true
execute as @a[tag=poison] run tag @s remove poison
execute as @a if entity @s[scores={fly=1..}] run effect clear @s wither

#wither if re-landing
execute as @a[scores={fly=0},tag=!immunity,team=scapers,tag=!invulnerability] run effect give @s wither 100000 2 true
execute as @a[scores={messageTime=..20,fly=0},tag=!immunity,tag=!invulnerability,team=scapers] run title @s actionbar {"text":"\u2622 Get in the air! \u2622","bold":true,"color":"dark_green"}
execute as @a[scores={messageTime=21..,fly=0},tag=!immunity,tag=!invulnerability,team=scapers] run title @s actionbar {"text":"\u2622 Get in the air! \u2622","bold":true,"color":"green"}
execute as @a[scores={fly=1..}] run scoreboard players set @s fly 0

#regen (to avoid kinetic respawn damage)
execute as @a[tag=immunity,scores={immunity=100}] run effect give @s instant_health 1 100 true
