#assign powerups to players
execute as @e[tag=powerup_stand] at @s as @a[tag=!has_powerup,tag=!immunity,team=scapers,distance=..3,sort=nearest,limit=1] run tag @s add grab_powerup
execute as @a[tag=grab_powerup] at @s if entity @e[tag=powerup_stand,distance=..3,sort=nearest,limit=1,tag=blindness] run tag @s add blindness
execute as @a[tag=grab_powerup] at @s if entity @e[tag=powerup_stand,distance=..3,sort=nearest,limit=1,tag=boost] run tag @s add boost
execute as @a[tag=grab_powerup] at @s if entity @e[tag=powerup_stand,distance=..3,sort=nearest,limit=1,tag=destroy_wand] run tag @s add destroy_wand
execute as @a[tag=grab_powerup] at @s if entity @e[tag=powerup_stand,distance=..3,sort=nearest,limit=1,tag=absorption] run tag @s add absorption
execute as @a[tag=grab_powerup] at @s if entity @e[tag=powerup_stand,distance=..3,sort=nearest,limit=1,tag=invulnerability] run tag @s add invulnerability
execute as @a[tag=grab_powerup] at @s if entity @e[tag=powerup_stand,distance=..3,sort=nearest,limit=1,tag=launch_pad] run tag @s add launch_pad
execute as @a[tag=grab_powerup] at @s if entity @e[tag=powerup_stand,distance=..3,sort=nearest,limit=1,tag=nausea] run tag @s add nausea
execute as @a[tag=grab_powerup] at @s if entity @e[tag=powerup_stand,distance=..3,sort=nearest,limit=1,tag=regeneration] run tag @s add regeneration
execute as @a[tag=grab_powerup] at @s if entity @e[tag=powerup_stand,distance=..3,sort=nearest,limit=1,tag=twister] run tag @s add twister

#kill armor stand
execute as @e[tag=powerup_stand] at @s if entity @a[team=scapers,distance=..3,sort=nearest,limit=1,tag=grab_powerup] run tag @s add kill_stand
execute if entity @e[tag=kill_stand] as @e[tag=kill_stand] at @s run particle minecraft:explosion ~ ~ ~ 0 0 0 0 1 normal @a
execute if entity @e[tag=kill_stand] run kill @e[tag=kill_stand]
#execute as @e[tag=powerup_display] at @s unless entity @e[tag=powerup_stand,distance=..3] run kill @s

#misc
execute as @e[tag=grab_powerup] at @s run playsound minecraft:block.note_block.bit master @s ~ ~ ~ 1 1.5
scoreboard players add @a[tag=has_powerup] powerup_time 1
execute if entity @a[team=seeker,scores={powerup_time=1..}] run scoreboard players add @a[team=seeker] powerup_time 1
execute if entity @a[scores={powerup_time2=..220}] run scoreboard players remove @a[scores={powerup_time2=..220}] powerup_time2 1

#announce to players with active powerup if powerup is changed on seeker
execute if entity @a[tag=grab_powerup] as @a[tag=blindness] if entity @a[team=seeker,tag=applied_powerup] run tag @s add reset_powerup
execute if entity @a[tag=grab_powerup] as @a[tag=nausea] if entity @a[team=seeker,tag=applied_powerup] run tag @s add reset_powerup
execute if entity @a[tag=grab_powerup] as @a[tag=destroy_wand] if entity @a[team=seeker,tag=applied_powerup] run tag @s add reset_powerup
execute if entity @a[tag=grab_powerup] as @a[tag=twister] if entity @a[team=seeker,tag=applied_powerup] run tag @s add reset_powerup
execute if entity @a[tag=reset_powerup] as @a[tag=reset_powerup] run scoreboard players reset @s powerup_time
execute if entity @a[tag=reset_powerup] as @a[tag=reset_powerup] run scoreboard players reset @s powerup_time2
execute if entity @a[tag=reset_powerup] as @a[tag=reset_powerup] run scoreboard players reset @s powerup_count
execute if entity @a[tag=reset_powerup] as @a[tag=reset_powerup] run tag @s remove has_powerup
execute if entity @a[tag=reset_powerup,tag=grab_powerup] as @a[tag=reset_powerup,tag=grab_powerup] run tag @s remove grab_powerup
execute if entity @a[tag=reset_powerup,tag=end_powerup] as @a[tag=reset_powerup,tag=end_powerup] run tag @s remove end_powerup
execute if entity @a[tag=reset_powerup,tag=blindness] as @a[tag=reset_powerup,tag=blindness] run tag @s remove blindness
execute if entity @a[tag=reset_powerup,tag=nausea] as @a[tag=reset_powerup,tag=nausea] run tag @s remove nausea
execute if entity @a[tag=reset_powerup,tag=destroy_wand] as @a[tag=reset_powerup,tag=destroy_wand] run tag @s remove destroy_wand
execute if entity @a[tag=reset_powerup,tag=twister] as @a[tag=reset_powerup,tag=twister] run tag @s remove twister
execute if entity @a[tag=reset_powerup] as @a[tag=reset_powerup] run title @s title {"text":" "}
execute if entity @a[tag=reset_powerup] as @a[tag=reset_powerup] run title @s subtitle ["",{"text":"[Powerup]:","bold":true,"color":"dark_purple"},{"text":" Changed!","color":"light_purple"}]
execute if entity @a[tag=reset_powerup] as @a[tag=reset_powerup] at @s run playsound minecraft:block.note_block.didgeridoo master @s ~ ~ ~ 1 1
execute if entity @a[tag=reset_powerup] as @a[tag=reset_powerup] run tag @s remove reset_powerup

#switch powerups on seeker if scaper applies new
execute if entity @a[tag=grab_powerup] if entity @a[team=seeker,tag=applied_powerup] run effect clear @a[team=seeker]
execute if entity @a[tag=grab_powerup] if entity @a[team=seeker,tag=applied_powerup] run scoreboard players reset @a[team=seeker] powerup_time2
execute if entity @a[tag=grab_powerup] if entity @a[team=seeker,tag=applied_powerup] run scoreboard players reset @a[team=seeker] powerup_count
execute if entity @a[tag=grab_powerup] if entity @a[team=seeker,tag=applied_powerup,tag=destroy_powerup] run tag @a[team=seeker,tag=destroy_powerup] remove destroy_powerup
execute if entity @a[tag=grab_powerup] if entity @a[team=seeker,tag=applied_powerup,tag=twister_seeker] run tag @a[team=seeker,tag=twister_seeker] remove twister_seeker
execute if entity @a[tag=grab_powerup] if entity @a[team=seeker,tag=applied_powerup,tag=blinded] run tag @a[team=seeker,tag=blinded] remove blinded
execute if entity @a[tag=grab_powerup] if entity @a[team=seeker,tag=applied_powerup,tag=nauseated] run tag @a[team=seeker,tag=nauseated] remove nauseated
execute if entity @a[tag=grab_powerup] if entity @a[team=seeker,tag=applied_powerup] run tag @a[team=seeker] remove applied_powerup

#give status tag
execute as @e[tag=grab_powerup] run tag @s add has_powerup

#absorption
execute as @e[tag=grab_powerup,tag=absorption] run title @s actionbar ["",{"text":"[Powerup]:","bold":true,"color":"dark_purple"},{"text":" Absorption","bold":true,"color":"dark_aqua"},{"text":" activated!","color":"light_purple"}]
execute if entity @a[tag=absorption] run effect give @a[tag=absorption,scores={powerup_time=1}] absorption 10 2 true
execute if entity @a[tag=grab_powerup,tag=absorption] as @a[tag=grab_powerup,tag=absorption] run scoreboard players set @s powerup_time2 219
execute if entity @a[tag=absorption,scores={powerup_time=..200}] as @a[tag=absorption] run scoreboard players operation @s powerup_count = @s powerup_time2
execute if entity @a[tag=absorption,scores={powerup_time=..200}] as @a[tag=absorption] run scoreboard players operation @s powerup_count /= @e[name=Global] global_20
execute if entity @a[tag=absorption,scores={powerup_time=..200}] as @a[tag=absorption] run title @s title {"text":" "}
execute if entity @a[tag=absorption,scores={powerup_time=..200}] as @a[tag=absorption] run title @s subtitle ["",{"text":"[Absorption]: ","bold":true,"color":"dark_aqua"},{"score":{"name":"@s","objective":"powerup_count"},"color":"gold"}]
execute if entity @a[tag=absorption,scores={powerup_time=..200}] as @a[tag=absorption] at @s run particle dust 0.000 0.659 0.659 0.300 ^ ^1 ^4 1 1 1 0 5 normal @s
execute if entity @a[tag=absorption,scores={powerup_time=200}] as @a[tag=absorption,scores={powerup_time=200}] run title @s title {"text":" "}
execute if entity @a[tag=absorption,scores={powerup_time=200}] as @a[tag=absorption,scores={powerup_time=200}] run title @s subtitle {"text":" "}
execute if entity @a[tag=absorption,scores={powerup_time=200}] run tag @a[tag=absorption,scores={powerup_time=200}] add end_powerup
execute if entity @a[tag=absorption,tag=end_powerup] run tag @a[tag=absorption,tag=end_powerup] remove absorption

#blindness
execute as @e[tag=grab_powerup,tag=blindness] run title @s actionbar ["",{"text":"[Powerup]:","bold":true,"color":"dark_purple"},{"text":" Blindness","bold":true,"color":"dark_gray"},{"text":" activated!","color":"light_purple"}]
execute if entity @a[tag=grab_powerup,tag=blindness] run effect give @a[team=seeker] blindness 11 255 true
execute if entity @a[tag=grab_powerup,tag=blindness] run scoreboard players set @a[team=seeker] powerup_time 1
execute if entity @a[tag=grab_powerup,tag=blindness] run tag @a[team=seeker] add blinded
execute if entity @a[tag=grab_powerup,tag=blindness] run tag @a[team=seeker] add applied_powerup
execute if entity @a[tag=grab_powerup,tag=blindness] run scoreboard players set @a[team=seeker] powerup_time2 219
execute if entity @a[tag=blinded,scores={powerup_time=..200}] as @a[team=seeker] run scoreboard players operation @s powerup_count = @s powerup_time2
execute if entity @a[tag=blinded,scores={powerup_time=..200}] as @a[team=seeker] run scoreboard players operation @s powerup_count /= @e[name=Global] global_20
execute if entity @a[tag=blinded,scores={powerup_time=..200}] as @a[team=seeker] run title @s title {"text":" "}
execute if entity @a[tag=blinded,scores={powerup_time=..200}] as @a[team=seeker] run title @s subtitle ["",{"text":"[Blindness]: ","bold":true,"color":"white"},{"score":{"name":"@s","objective":"powerup_count"},"color":"gold"}]
execute if entity @a[tag=blindness,scores={powerup_time=..200}] as @a[team=seeker] run title @a[tag=blindness] title {"text":" "}
execute if entity @a[tag=blindness,scores={powerup_time=..200}] as @a[team=seeker] run title @a[tag=blindness] subtitle ["",{"text":"[Blindness]: ","bold":true,"color":"dark_gray"},{"score":{"name":"@s","objective":"powerup_count"},"color":"gold"}]
execute if entity @a[tag=blinded,scores={powerup_time=..200}] as @a[tag=blinded] at @s run particle dust 0.000 0.0 0.0 0.300 ^ ^1 ^2 1 1 1 0 5 normal @s
execute if entity @a[tag=grab_powerup,tag=blindness] as @a[team=seeker] at @s run playsound minecraft:entity.lightning_bolt.thunder master @s ~ ~ ~ 1 2
execute if entity @a[tag=blinded,scores={powerup_time=200}] run title @a[team=seeker] title {"text":" "}
execute if entity @a[tag=blinded,scores={powerup_time=200}] run title @a[team=seeker] subtitle {"text":" "}
execute if entity @a[tag=blindness,scores={powerup_time=200}] run title @a[tag=blindness] title {"text":" "}
execute if entity @a[tag=blindness,scores={powerup_time=200}] run title @a[tag=blindness] subtitle {"text":" "}
execute if entity @a[tag=blindness,scores={powerup_time=200}] run tag @a[tag=blindness,scores={powerup_time=200}] add end_powerup
execute if entity @a[tag=blinded,scores={powerup_time=200}] run tag @a[team=seeker,tag=blinded] add end_powerup
execute if entity @a[tag=blindness,tag=end_powerup] run tag @a[tag=blindness,tag=end_powerup] remove blindness
execute if entity @a[tag=blinded,tag=end_powerup] run tag @a[tag=blinded,tag=end_powerup] remove blinded

#boost
execute as @e[tag=grab_powerup,tag=boost] run title @s actionbar ["",{"text":"[Powerup]:","bold":true,"color":"dark_purple"},{"text":" Boost","bold":true,"color":"#FF0023"},{"text":" activated!","color":"light_purple"}]
execute if entity @a[tag=grab_powerup,tag=boost] run scoreboard players set @a[tag=boost] powerup_time2 219
execute if entity @a[tag=boost,scores={powerup_time=..200}] as @a[tag=boost] run scoreboard players operation @s powerup_count = @s powerup_time2
execute if entity @a[tag=boost,scores={powerup_time=..200}] as @a[tag=boost] run scoreboard players operation @s powerup_count /= @e[name=Global] global_20
execute if entity @a[tag=boost,scores={powerup_time=..200}] as @a[tag=boost] run title @s title {"text":" "}
execute if entity @a[tag=boost,scores={powerup_time=..200}] as @a[tag=boost] run title @s subtitle ["",{"text":"[Boost]: ","bold":true,"color":"#FF0023"},{"score":{"name":"@s","objective":"powerup_count"},"color":"gold"}]
execute if entity @a[tag=boost,scores={powerup_time=..200}] as @a[tag=boost] at @s run particle dust 1.000 0.000 0.000 0.300 ^ ^1 ^4 1 1 1 0 5 normal @s
execute if entity @a[tag=boost,scores={powerup_time=200}] run title @a[tag=boost] title {"text":" "}
execute if entity @a[tag=boost,scores={powerup_time=200}] run title @a[tag=boost] subtitle {"text":" "}
execute if entity @a[tag=boost,scores={powerup_time=200}] run tag @a[tag=boost,scores={powerup_time=200}] add end_powerup
execute if entity @a[tag=boost,scores={powerup_time=200}] run tag @a[tag=boost,scores={powerup_time=200}] remove boost
execute if entity @a[tag=boost,tag=end_powerup] run tag @a[tag=boost,tag=end_powerup] remove boost

#destroy_wand
execute as @e[tag=grab_powerup,tag=destroy_wand] run title @s actionbar ["",{"text":"[Powerup]:","bold":true,"color":"dark_purple"},{"text":" Destroy Wand","bold":true,"color":"dark_purple"},{"text":" activated!","color":"light_purple"}]
execute if entity @a[tag=grab_powerup,tag=destroy_wand] run tag @a[team=seeker] add applied_powerup
execute if entity @a[tag=grab_powerup,tag=destroy_wand] run tag @a[team=seeker] add destroy_powerup
execute if entity @a[tag=grab_powerup,tag=destroy_wand] run scoreboard players set @a[team=seeker] powerup_time 1
execute if entity @a[tag=grab_powerup,tag=destroy_wand] run scoreboard players set @a[team=seeker] powerup_time2 219
execute if entity @a[tag=destroy_powerup,scores={powerup_time=..199}] as @a[team=seeker] run scoreboard players operation @s powerup_count = @s powerup_time2
execute if entity @a[tag=destroy_powerup,scores={powerup_time=..199}] as @a[team=seeker] run scoreboard players operation @s powerup_count /= @e[name=Global] global_20
execute if entity @a[tag=destroy_powerup,scores={powerup_time=..200}] as @a[team=seeker] run title @s title {"text":" "}
execute if entity @a[tag=destroy_powerup,scores={powerup_time=..200}] as @a[team=seeker] run title @s subtitle ["",{"text":"[Wand Destroyed]: ","bold":true,"color":"dark_purple"},{"score":{"name":"@s","objective":"powerup_count"},"color":"gold"}]
execute if entity @a[tag=destroy_powerup,scores={powerup_time=..200}] as @a[team=seeker] run title @a[tag=destroy_wand] title {"text":" "}
execute if entity @a[tag=destroy_powerup,scores={powerup_time=..200}] as @a[team=seeker] run title @a[tag=destroy_wand] subtitle ["",{"text":"[Wand Destroyed]: ","bold":true,"color":"dark_purple"},{"score":{"name":"@s","objective":"powerup_count"},"color":"gold"}]
execute if entity @a[tag=destroy_powerup,scores={powerup_time=..200}] as @a[tag=destroy_powerup] at @s run particle dust 0.655 0.000 0.655 0.300 ^ ^1 ^2 1 1 1 0 5 normal @s
execute if entity @a[tag=grab_powerup,tag=destroy_wand] as @a[team=seeker] at @s run playsound minecraft:item.shield.break master @s ~ ~ ~ 1 1
execute if entity @a[tag=destroy_powerup,scores={powerup_time=200}] run title @a[team=seeker] title {"text":" "}
execute if entity @a[tag=destroy_powerup,scores={powerup_time=200}] run title @a[team=seeker] subtitle {"text":" "}
execute if entity @a[tag=destroy_powerup,scores={powerup_time=200}] run title @a[tag=destroy_wand] title {"text":" "}
execute if entity @a[tag=destroy_powerup,scores={powerup_time=200}] run title @a[tag=destroy_wand] subtitle {"text":" "}
execute if entity @a[tag=destroy_wand,scores={powerup_time=200}] run tag @a[tag=destroy_wand,scores={powerup_time=200}] add end_powerup
execute if entity @a[tag=destroy_powerup,scores={powerup_time=200}] run tag @a[team=seeker,tag=destroy_powerup] add end_powerup
# ----------- Return Wands ----------------------
execute if entity @a[tag=destroy_powerup,tag=end_powerup] as @a[tag=destroy_powerup,tag=end_powerup] if entity @s[tag=stick_wand] run replaceitem entity @s hotbar.4 minecraft:purple_carpet{display:{Name:'{"text":"Broken Stick","color":"#381C01","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute if entity @a[tag=destroy_powerup,tag=end_powerup] as @a[tag=destroy_powerup,tag=end_powerup] if entity @s[tag=emerald_wand] run replaceitem entity @s hotbar.4 minecraft:pink_carpet{display:{Name:'{"text":"Emerald Staff","color":"dark_green","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute if entity @a[tag=destroy_powerup,tag=end_powerup] as @a[tag=destroy_powerup,tag=end_powerup] if entity @s[tag=toy_wand] run replaceitem entity @s hotbar.4 minecraft:yellow_carpet{display:{Name:'{"text":"Banana Blaster","color":"yellow","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute if entity @a[tag=destroy_powerup,tag=end_powerup] as @a[tag=destroy_powerup,tag=end_powerup] if entity @s[tag=magic_wand] run replaceitem entity @s hotbar.4 minecraft:magenta_carpet{display:{Name:'{"text":"Magic Wand","color":"white","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute if entity @a[tag=destroy_powerup,tag=end_powerup] as @a[tag=destroy_powerup,tag=end_powerup] if entity @s[tag=book_wand] run replaceitem entity @s hotbar.4 minecraft:orange_carpet{display:{Name:'{"text":"Book of Spells","color":"dark_gray","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
# -----------------------------------------------
execute if entity @a[tag=destroy_powerup,scores={powerup_time=200}] run tag @a[team=seeker,tag=destroy_powerup] remove destroy_powerup
execute if entity @a[tag=destroy_wand,tag=end_powerup] run tag @a[tag=destroy_wand,tag=end_powerup] remove destroy_wand

#invulnerability
execute as @e[tag=grab_powerup,tag=invulnerability] run title @s actionbar ["",{"text":"[Powerup]:","bold":true,"color":"dark_purple"},{"text":" Invulnerability","bold":true,"color":"dark_gray"},{"text":" activated!","color":"light_purple"}]
execute if entity @a[tag=invulnerability] run effect give @a[tag=invulnerability,scores={powerup_time=1}] resistance 10 255 true
execute if entity @a[tag=grab_powerup,tag=invulnerability] as @a[tag=grab_powerup,tag=invulnerability] run scoreboard players set @s powerup_time2 219
execute if entity @a[tag=invulnerability,scores={powerup_time=..200}] as @a[tag=invulnerability] run scoreboard players operation @s powerup_count = @s powerup_time2
execute if entity @a[tag=invulnerability,scores={powerup_time=..200}] as @a[tag=invulnerability] run scoreboard players operation @s powerup_count /= @e[name=Global] global_20
execute if entity @a[tag=invulnerability,scores={powerup_time=..200}] as @a[tag=invulnerability] run title @s title {"text":" "}
execute if entity @a[tag=invulnerability,scores={powerup_time=..200}] as @a[tag=invulnerability] run title @s subtitle ["",{"text":"[Invulnerability]: ","bold":true,"color":"dark_gray"},{"score":{"name":"@s","objective":"powerup_count"},"color":"gold"}]
execute if entity @a[tag=invulnerability,scores={powerup_time=..200}] as @a[tag=invulnerability] at @s run particle dust 0.400 0.400 0.400 0.300 ^ ^1 ^4 1 1 1 0 5 normal @s
execute if entity @a[tag=invulnerability,scores={powerup_time=200}] as @a[tag=invulnerability,scores={powerup_time=200}] run title @s title {"text":" "}
execute if entity @a[tag=invulnerability,scores={powerup_time=200}] as @a[tag=invulnerability,scores={powerup_time=200}] run title @s subtitle {"text":" "}
execute if entity @a[tag=invulnerability,scores={powerup_time=200}] run tag @a[tag=invulnerability,scores={powerup_time=200}] add end_powerup
execute if entity @a[tag=invulnerability,tag=end_powerup] run tag @a[tag=invulnerability,tag=end_powerup] remove invulnerability

#launch_pad
execute as @e[tag=grab_powerup,tag=launch_pad] run title @s actionbar ["",{"text":"[Powerup]:","bold":true,"color":"dark_purple"},{"text":" Launch","bold":true,"color":"aqua"},{"text":" activated!","color":"light_purple"}]
execute if entity @a[tag=grab_powerup,tag=launch_pad] run effect give @a[team=seeker] minecraft:levitation 1 20 true
execute if entity @a[tag=grab_powerup,tag=launch_pad] run title @a[team=seeker] title {"text":" "}
execute if entity @a[tag=grab_powerup,tag=launch_pad] run title @a[team=seeker] subtitle ["",{"text":"[Launch]:","bold":true,"color":"aqua"},{"text":" applied!","color":"gold","bold":false}]
execute if entity @a[tag=grab_powerup,tag=launch_pad] as @a[team=seeker] at @s run playsound minecraft:entity.phantom.flap master @s ~ ~ ~ 1 1
execute if entity @a[tag=grab_powerup,tag=launch_pad] as @a[team=seeker] at @s run particle dust 0.329 0.984 0.988 1 ~ ~ ~ 1 0 1 0 100 normal @a
execute if entity @a[tag=grab_powerup,tag=launch_pad] as @a[team=seeker] at @s run particle dust 0.329 0.984 0.988 0.300 ^ ^1.5 ^2 1 1 1 0 5 normal @s
execute if entity @a[tag=grab_powerup,tag=launch_pad] run tag @a[tag=grab_powerup,tag=launch_pad] add end_powerup
execute if entity @a[tag=grab_powerup,tag=launch_pad] run tag @a[tag=grab_powerup,tag=launch_pad] remove launch_pad

#nausea
execute as @e[tag=grab_powerup,tag=nausea] run title @s actionbar ["",{"text":"[Powerup]:","bold":true,"color":"dark_purple"},{"text":" Nausea","bold":true,"color":"dark_green"},{"text":" activated!","color":"light_purple"}]
execute if entity @a[tag=grab_powerup,tag=nausea] run effect give @a[team=seeker] nausea 12 10 true
execute if entity @a[tag=grab_powerup,tag=nausea] run tag @a[team=seeker] add applied_powerup
execute if entity @a[tag=grab_powerup,tag=nausea] run scoreboard players set @a[team=seeker] powerup_time 1
execute if entity @a[tag=grab_powerup,tag=nausea] run tag @a[team=seeker] add nauseated
execute if entity @a[tag=grab_powerup,tag=nausea] run scoreboard players set @a[team=seeker] powerup_time2 219
execute if entity @a[tag=nauseated,scores={powerup_time=..200}] as @a[team=seeker] run scoreboard players operation @s powerup_count = @s powerup_time2
execute if entity @a[tag=nauseated,scores={powerup_time=..200}] as @a[team=seeker] run scoreboard players operation @s powerup_count /= @e[name=Global] global_20
execute if entity @a[tag=nauseated,scores={powerup_time=..200}] as @a[team=seeker] run title @s title {"text":" "}
execute if entity @a[tag=nauseated,scores={powerup_time=..200}] as @a[team=seeker] run title @s subtitle ["",{"text":"[Nausea]: ","bold":true,"color":"dark_green"},{"score":{"name":"@s","objective":"powerup_count"},"color":"gold"}]
execute if entity @a[tag=nauseated,scores={powerup_time=..200}] as @a[team=seeker] run title @a[tag=nausea] title {"text":" "}
execute if entity @a[tag=nauseated,scores={powerup_time=..200}] as @a[team=seeker] run title @a[tag=nausea] subtitle ["",{"text":"[Nausea]: ","bold":true,"color":"dark_green"},{"score":{"name":"@s","objective":"powerup_count"},"color":"gold"}]
execute if entity @a[tag=nauseated,scores={powerup_time=..200}] as @a[tag=nauseated] at @s run particle dust 0.000 0.659 0.004 0.300 ^ ^1 ^2 1 1 1 0 5 normal @s
execute if entity @a[tag=grab_powerup,tag=nausea] as @a[team=seeker] at @s run playsound minecraft:entity.player.burp master @s ~ ~ ~ 1 1
execute if entity @a[tag=nauseated,scores={powerup_time=200}] run title @a[team=seeker] title {"text":" "}
execute if entity @a[tag=nauseated,scores={powerup_time=200}] run title @a[team=seeker] subtitle {"text":" "}
execute if entity @a[tag=nauseated,scores={powerup_time=200}] run title @a[tag=nausea] title {"text":" "}
execute if entity @a[tag=nauseated,scores={powerup_time=200}] run title @a[tag=nausea] subtitle {"text":" "}
execute if entity @a[tag=nausea,scores={powerup_time=200}] run tag @a[tag=nausea,scores={powerup_time=200}] add end_powerup
execute if entity @a[tag=nauseated,scores={powerup_time=200}] run tag @a[team=seeker,tag=nauseated] add end_powerup
execute if entity @a[tag=nausea,tag=end_powerup] run tag @a[tag=nausea,tag=end_powerup] remove nausea
execute if entity @a[tag=nauseated,tag=end_powerup] run tag @a[tag=nauseated,tag=end_powerup] remove nauseated

#regeneration
execute as @e[tag=grab_powerup,tag=regeneration] run title @s actionbar ["",{"text":"[Powerup]:","bold":true,"color":"dark_purple"},{"text":" Regeneration","bold":true,"color":"#FF0085"},{"text":" activated!","color":"light_purple"}]
execute if entity @a[tag=regeneration] run effect give @a[tag=regeneration,scores={powerup_time=1}] regeneration 11 1 true
execute if entity @a[tag=grab_powerup,tag=regeneration] as @a[tag=grab_powerup,tag=regeneration] run scoreboard players set @s powerup_time2 219
execute if entity @a[tag=regeneration,scores={powerup_time=..200}] as @a[tag=regeneration] run scoreboard players operation @s powerup_count = @s powerup_time2
execute if entity @a[tag=regeneration,scores={powerup_time=..200}] as @a[tag=regeneration] run scoreboard players operation @s powerup_count /= @e[name=Global] global_20
execute if entity @a[tag=regeneration,scores={powerup_time=..200}] as @a[tag=regeneration] run title @s title {"text":" "}
execute if entity @a[tag=regeneration,scores={powerup_time=..200}] as @a[tag=regeneration] run title @s subtitle ["",{"text":"[Regeneration]: ","bold":true,"color":"#FF0085"},{"score":{"name":"@s","objective":"powerup_count"},"color":"gold"}]
execute if entity @a[tag=regeneration,scores={powerup_time=..200}] as @a[tag=regeneration] at @s run particle dust 0.984 0.000 0.514 0.300 ^ ^1 ^4 1 1 1 0 5 normal @s
execute if entity @a[tag=regeneration,scores={powerup_time=200}] as @a[tag=regeneration,scores={powerup_time=200}] run title @s title {"text":" "}
execute if entity @a[tag=regeneration,scores={powerup_time=200}] as @a[tag=regeneration,scores={powerup_time=200}] run title @s subtitle {"text":" "}
execute if entity @a[tag=regeneration,scores={powerup_time=200}] run tag @a[tag=regeneration,scores={powerup_time=200}] add end_powerup
execute if entity @a[tag=regeneration,tag=end_powerup] run tag @a[tag=regeneration,tag=end_powerup] remove regeneration

#twister
execute as @e[tag=grab_powerup,tag=twister] run title @s actionbar ["",{"text":"[Powerup]:","bold":true,"color":"dark_purple"},{"text":" Twister","bold":true,"color":"gray"},{"text":" activated!","color":"light_purple"}]
execute if entity @a[tag=grab_powerup,tag=twister] run tag @a[team=seeker] add applied_powerup
execute if entity @a[tag=grab_powerup,tag=twister] run tag @a[team=seeker] add twister_seeker
execute if entity @a[tag=grab_powerup,tag=twister] run scoreboard players set @a[team=seeker] powerup_time 1
execute if entity @a[tag=grab_powerup,tag=twister] run scoreboard players set @a[team=seeker] powerup_time2 119
execute if entity @a[tag=twister_seeker,scores={powerup_time=..100}] as @a[team=seeker] run scoreboard players operation @s powerup_count = @s powerup_time2
execute if entity @a[tag=twister_seeker,scores={powerup_time=..100}] as @a[team=seeker] run scoreboard players operation @s powerup_count /= @e[name=Global] global_20
execute if entity @a[tag=twister_seeker,scores={powerup_time=..100}] as @a[team=seeker] run title @s title {"text":" "}
execute if entity @a[tag=twister_seeker,scores={powerup_time=..100}] as @a[team=seeker] run title @s subtitle ["",{"text":"[Twister]: ","bold":true,"color":"gray"},{"score":{"name":"@s","objective":"powerup_count"},"color":"gold"}]
execute if entity @a[tag=twister_seeker,scores={powerup_time=..100}] as @a[team=seeker] run title @a[tag=twister] title {"text":" "}
execute if entity @a[tag=twister_seeker,scores={powerup_time=..100}] as @a[team=seeker] run title @a[tag=twister] subtitle ["",{"text":"[Twister]: ","bold":true,"color":"gray"},{"score":{"name":"@s","objective":"powerup_count"},"color":"gold"}]
execute if entity @a[tag=twister_seeker,scores={powerup_time=..100}] as @a[team=seeker] at @s run tp @s ~ ~ ~ ~10 ~
execute if entity @a[tag=twister_seeker,scores={powerup_time=..100}] as @a[tag=twister_seeker] at @s run particle dust 0.800 0.800 0.800 0.300 ^ ^1 ^2 1 1 1 0 5 normal @s
execute if entity @a[tag=grab_powerup,tag=twister] as @a[team=seeker] at @s run playsound minecraft:entity.bat.loop master @s ~ ~ ~ 1 1
execute if entity @a[tag=twister_seeker,scores={powerup_time=100}] run title @a[team=seeker] title {"text":" "}
execute if entity @a[tag=twister_seeker,scores={powerup_time=100}] run title @a[team=seeker] subtitle {"text":" "}
execute if entity @a[tag=twister_seeker,scores={powerup_time=100}] run title @a[tag=twister] title {"text":" "}
execute if entity @a[tag=twister_seeker,scores={powerup_time=100}] run title @a[tag=twister] subtitle {"text":" "}
execute if entity @a[tag=twister,scores={powerup_time=100}] run tag @a[tag=twister,scores={powerup_time=100}] add end_powerup
execute if entity @a[tag=twister_seeker,scores={powerup_time=100}] run tag @a[team=seeker,tag=twister_seeker] add end_powerup
execute if entity @a[tag=twister_seeker,scores={powerup_time=100}] run tag @a[team=seeker,tag=twister_seeker] remove twister_seeker
execute if entity @a[tag=twister,tag=end_powerup] run tag @a[tag=twister,tag=end_powerup] remove twister

#remove tag
execute if entity @a[tag=grab_powerup] as @a[tag=grab_powerup] run tag @s remove grab_powerup
execute if entity @a[team=scapers,tag=end_powerup] as @a[team=scapers,tag=end_powerup] run tag @s remove has_powerup
execute if entity @a[tag=end_powerup] as @a[tag=end_powerup] run scoreboard players reset @s powerup_time
execute if entity @a[tag=end_powerup] as @a[tag=end_powerup] run scoreboard players reset @s powerup_time2
execute if entity @a[tag=end_powerup] as @a[tag=end_powerup] run scoreboard players reset @s powerup_count
execute if entity @a[team=seeker,tag=applied_powerup,tag=end_powerup] as @a[team=seeker,tag=applied_powerup,tag=end_powerup] run tag @s remove applied_powerup
execute if entity @a[tag=end_powerup,tag=has_powerup] as @a[tag=end_powerup,tag=has_powerup] run tag @s remove has_powerup
execute if entity @a[tag=end_powerup] as @a[tag=end_powerup] run tag @s remove end_powerup