scoreboard players add @e[name=Global] seekTime 1
scoreboard players add @e[team=seeker] messageTime 1
scoreboard players set @e[team=seeker,scores={messageTime=41}] messageTime 1
scoreboard players add @e[name=Global] messageTime 1
scoreboard players set @e[name=Global,scores={messageTime=41}] messageTime 1

#give wands
execute as @a[team=seeker] if entity @s[tag=stick_wand] unless entity @s[nbt={Inventory:[{Slot:4b,id:"minecraft:purple_carpet"}]}] run tag @s add drop_wand
execute as @a[team=seeker,tag=stick_wand] if entity @s[tag=drop_wand] run clear @s purple_carpet
execute as @a[team=seeker,tag=stick_wand] if entity @s[tag=drop_wand] run replaceitem entity @s hotbar.4 minecraft:purple_carpet{display:{Name:'{"text":"Broken Stick","color":"#381C01","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute as @a[team=seeker,tag=stick_wand] if entity @s[tag=drop_wand] at @s run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2
execute as @a[team=seeker,tag=stick_wand] if entity @s[tag=drop_wand] run tag @s remove drop_wand

execute as @a[team=seeker] if entity @s[tag=emerald_wand] unless entity @s[nbt={Inventory:[{Slot:4b,id:"minecraft:pink_carpet"}]}] run tag @s add drop_wand
execute as @a[team=seeker,tag=emerald_wand] if entity @s[tag=drop_wand] run clear @s pink_carpet
execute as @a[team=seeker,tag=emerald_wand] if entity @s[tag=drop_wand] run replaceitem entity @s hotbar.4 minecraft:pink_carpet{display:{Name:'{"text":"Emerald Staff","color":"dark_green","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute as @a[team=seeker,tag=emerald_wand] if entity @s[tag=drop_wand] at @s run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2
execute as @a[team=seeker,tag=emerald_wand] if entity @s[tag=drop_wand] run tag @s remove drop_wand

execute as @a[team=seeker] if entity @s[tag=toy_wand] unless entity @s[nbt={Inventory:[{Slot:4b,id:"minecraft:yellow_carpet"}]}] run tag @s add drop_wand
execute as @a[team=seeker,tag=toy_wand] if entity @s[tag=drop_wand] run clear @s yellow_carpet
execute as @a[team=seeker,tag=toy_wand] if entity @s[tag=drop_wand] run replaceitem entity @s hotbar.4 minecraft:yellow_carpet{display:{Name:'{"text":"Banana Blaster","color":"yellow","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute as @a[team=seeker,tag=toy_wand] if entity @s[tag=drop_wand] at @s run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2
execute as @a[team=seeker,tag=toy_wand] if entity @s[tag=drop_wand] run tag @s remove drop_wand

execute as @a[team=seeker] if entity @s[tag=magic_wand] unless entity @s[nbt={Inventory:[{Slot:4b,id:"minecraft:magenta_carpet"}]}] run tag @s add drop_wand
execute as @a[team=seeker,tag=magic_wand] if entity @s[tag=drop_wand] run clear @s magenta_carpet
execute as @a[team=seeker,tag=magic_wand] if entity @s[tag=drop_wand] run replaceitem entity @s hotbar.4 minecraft:magenta_carpet{display:{Name:'{"text":"Magic Wand","color":"white","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute as @a[team=seeker,tag=magic_wand] if entity @s[tag=drop_wand] at @s run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2
execute as @a[team=seeker,tag=magic_wand] if entity @s[tag=drop_wand] run tag @s remove drop_wand

execute as @a[team=seeker] if entity @s[tag=book_wand] unless entity @s[nbt={Inventory:[{Slot:4b,id:"minecraft:orange_carpet"}]}] run tag @s add drop_wand
execute as @a[team=seeker,tag=book_wand] if entity @s[tag=drop_wand] run clear @s orange_carpet
execute as @a[team=seeker,tag=book_wand] if entity @s[tag=drop_wand] run replaceitem entity @s hotbar.4 minecraft:orange_carpet{display:{Name:'{"text":"Book of Spells","color":"dark_gray","bold":true}',Lore:['{"text":"Right-click to use!","color":"red","italic":true}']}}
execute as @a[team=seeker,tag=book_wand] if entity @s[tag=drop_wand] at @s run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2
execute as @a[team=seeker,tag=book_wand] if entity @s[tag=drop_wand] run tag @s remove drop_wand

execute as @a[team=seeker] unless entity @s[nbt={Inventory:[{Slot:-106b,id:"minecraft:carrot_on_a_stick"}]}] run tag @s add drop_input
execute as @a[team=seeker] if entity @s[tag=drop_input] run clear @s carrot_on_a_stick
execute as @a[team=seeker] if entity @s[tag=drop_input] run replaceitem entity @s weapon.offhand minecraft:carrot_on_a_stick{display:{Name:'{"text":" ","color":"black","bold":true}'}}
execute as @a[team=seeker] if entity @s[tag=drop_input] at @s run playsound minecraft:block.fire.extinguish master @s ~ ~ ~ 1 2
execute as @a[team=seeker] if entity @s[tag=drop_input] run tag @s remove drop_input

#convert seekTime to seconds
execute if entity @e[name=Global,scores={seekTime=20}] run scoreboard players remove @e[name=Global] timer 1
execute if entity @e[name=Global,scores={seekTime=20}] run scoreboard players set @e[name=Global] seekTime 0

#minutes operation
scoreboard players operation @e[name=Global] seekTimeMinutes = @e[name=Global] timer
scoreboard players operation @e[name=Global] seekTimeMinutes /= @e[name=Global] global_60

#seconds operation
scoreboard players operation @e[name=Global] seekTimeSeconds = @e[name=Global] timer
scoreboard players operation @e[name=Global] seekTimeSeconds %= @e[name=Global] global_60

#actionbar title
execute as @e[name=Global] if entity @s[scores={seekTimeMinutes=1..9,seekTimeSeconds=..9}] run title @a[team=seeker] actionbar ["",{"text":"[Time]:","bold":true,"color":"gold"},{"text":" 0","color":"yellow"},{"score":{"name":"@s","objective":"seekTimeMinutes"},"color":"yellow"},{"text":":0","color":"yellow"},{"score":{"name":"@s","objective":"seekTimeSeconds"},"color":"yellow"}]
execute as @e[name=Global] if entity @s[scores={seekTimeMinutes=10..,seekTimeSeconds=..9}] run title @a[team=seeker] actionbar ["",{"text":"[Time]:","bold":true,"color":"gold"},{"text":" ","color":"yellow"},{"score":{"name":"@s","objective":"seekTimeMinutes"},"color":"yellow"},{"text":":0","color":"yellow"},{"score":{"name":"@s","objective":"seekTimeSeconds"},"color":"yellow"}]
execute as @e[name=Global] if entity @s[scores={seekTimeMinutes=1..9,seekTimeSeconds=10..}] run title @a[team=seeker] actionbar ["",{"text":"[Time]:","bold":true,"color":"gold"},{"text":" 0","color":"yellow"},{"score":{"name":"@s","objective":"seekTimeMinutes"},"color":"yellow"},{"text":":","color":"yellow"},{"score":{"name":"@s","objective":"seekTimeSeconds"},"color":"yellow"}]
execute as @e[name=Global] if entity @s[scores={seekTimeMinutes=10..,seekTimeSeconds=10..}] run title @a[team=seeker] actionbar ["",{"text":"[Time]:","bold":true,"color":"gold"},{"text":" ","color":"yellow"},{"score":{"name":"@s","objective":"seekTimeMinutes"},"color":"yellow"},{"text":":","color":"yellow"},{"score":{"name":"@s","objective":"seekTimeSeconds"},"color":"yellow"}]
execute as @e[name=Global] if entity @s[scores={seekTimeMinutes=..1,seekTimeSeconds=6..9}] run title @a[team=seeker] actionbar ["",{"text":"[Time]:","bold":true,"color":"gold"},{"text":" 0","color":"yellow"},{"score":{"name":"@s","objective":"seekTimeMinutes"},"color":"yellow"},{"text":":0","color":"yellow"},{"score":{"name":"@s","objective":"seekTimeSeconds"},"color":"yellow"}]
execute as @e[name=Global] if entity @s[scores={seekTimeMinutes=..1,seekTimeSeconds=10..}] run title @a[team=seeker] actionbar ["",{"text":"[Time]:","bold":true,"color":"gold"},{"text":" 0","color":"yellow"},{"score":{"name":"@s","objective":"seekTimeMinutes"},"color":"yellow"},{"text":":","color":"yellow"},{"score":{"name":"@s","objective":"seekTimeSeconds"},"color":"yellow"}]

execute as @e[name=Global] if entity @s[scores={seekTimeMinutes=0,seekTimeSeconds=0..5}] run title @a[team=seeker] actionbar ["",{"text":"[Time]:","bold":true,"color":"gold"},{"text":" ","color":"yellow"},{"text":"0","color":"dark_red"},{"score":{"name":"@s","objective":"seekTimeMinutes"},"color":"dark_red"},{"text":":0","color":"dark_red"},{"score":{"name":"@s","objective":"seekTimeSeconds"},"color":"dark_red"}]
execute as @e[name=Global] if entity @s[scores={seekTimeMinutes=0,seekTimeSeconds=5}] as @a[tag=seeker] at @s run playsound minecraft:block.note_block.pling master @p ~ ~ ~ 1 1.2
execute as @e[name=Global] if entity @s[scores={seekTimeMinutes=0,seekTimeSeconds=4}] as @a[tag=seeker] at @s run playsound minecraft:block.note_block.pling master @p ~ ~ ~ 1 1.4
execute as @e[name=Global] if entity @s[scores={seekTimeMinutes=0,seekTimeSeconds=3}] as @a[tag=seeker] at @s run playsound minecraft:block.note_block.pling master @p ~ ~ ~ 1 1.6
execute as @e[name=Global] if entity @s[scores={seekTimeMinutes=0,seekTimeSeconds=2}] as @a[tag=seeker] at @s run playsound minecraft:block.note_block.pling master @p ~ ~ ~ 1 1.8
execute as @e[name=Global] if entity @s[scores={seekTimeMinutes=0,seekTimeSeconds=1}] as @a[tag=seeker] at @s run playsound minecraft:block.note_block.pling master @p ~ ~ ~ 1 2
execute as @e[name=Global] if entity @s[scores={seekTimeMinutes=0,seekTimeSeconds=0}] as @a[tag=seeker] at @s run playsound minecraft:block.note_block.pling master @p ~ ~ ~ 1 2

#objective
execute as @e[name=Global] if entity @s[scores={messageTime=..20}] run data merge entity @e[tag=center,limit=1] {CustomNameVisible:1b,CustomName:'[{"text":"[Objective]","color":"dark_red","bold":true},{"text":" Take out the targets!","color":"dark_red","bold":false}]'}
execute as @e[name=Global] if entity @s[scores={messageTime=21..}] run data merge entity @e[tag=center,limit=1] {CustomNameVisible:1b,CustomName:'[{"text":"[Objective]","color":"dark_red","bold":true},{"text":" Take out the targets!","color":"red","bold":false}]'}


